%define PATCHVER p1

Name:           openntpd
Version:        3.9
Release:        1.%{PATCHVER}%{?dist}
Summary:        NTP Time Synchronization Client/Server

Group:          System Environment/Daemons
License:        BSD
URL:            http://www.openntpd.org/
Source0:        http://openbsd.org.ar/pub/OpenBSD/OpenNTPD//%{name}-%{version}%{PATCHVER}.tar.gz
Source1:        openntpd.init
Patch0:         openntpd-3.9p1-stat.patch
Patch1:         openntpd-3.9p1-conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  openssl-devel
#For man page
BuildRequires:  groff


%description
OpenNTPD - NTP Time Synchronization Client/Server.


%prep
%setup -q -n %{name}-%{version}%{PATCHVER}
%patch0 -p1
%patch1 -p1


%build
%configure --with-privsep-user=ntp
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/openntpd


%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 38 ntp  2> /dev/null || :
/usr/sbin/useradd -u 38 -g 38 -s /sbin/nologin -M -r -d %{_sysconfdir}/ntp ntp 2>/dev/null || :

%post
/sbin/chkconfig --add openntpd

%postun
/sbin/service openntpd condrestart > /dev/null 2>&1 || :

%preun
if [ "$1" = 0 ]
then
	/sbin/service openntpd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del openntpd
fi


%files
%defattr(-,root,root,-)
%doc CREDITS ChangeLog INSTALL LICENCE README
%attr(0755,root,root) /etc/rc.d/init.d/openntpd
%{_sysconfdir}/ntpd.conf
%{_sbindir}/ntpd
%{_mandir}/man5/ntpd.conf.5*
%{_mandir}/man8/ntpd.8*


%changelog
* Sun Jan 08 2012 Denis Frolov <d.frolov81@mail.ru> - 3.9p1-1
- Initial build
